package faktorI;

public class LstOpaz extends Lista{

	private static LstOpaz instanca;
	
	public static LstOpaz instanca(){
		if(instanca == null) return instanca = new LstOpaz();
		else return instanca;
	}

	public boolean dodaj(Opazanje opazanje){
		if (prvo == null)
			prvo = posl = opazanje;
		else {
			for (Opazanje tek = (Opazanje)prvo; tek != null; tek = (Opazanje)tek.next){
				if(tek.getNaziv().equals(opazanje.getNaziv())){
					return false;}
			}
			posl.next = opazanje;
			posl = opazanje;
		}
		return true;
	}; 
	
	public static void setOpazanja(LstOpaz lista){instanca = lista;}
	
	public String toString(){
		String s = "OPAZANJA: \n\n";
		if(!prazna()){
			int i=0;
			for (Opazanje tek = (Opazanje)prvo; tek != null; tek = (Opazanje)tek.next){
				i++;
				s += i;
				s += ")";
				s += tek;
				s += "\n";
			}
			return s;
		}
		else return s + "Lista opazanja je prazna!";
	}
}
